Cydia Update iOS 8.3 Offers Fix to “Cannot Identify Your Device” Problem

Cydia creator Saurik offers the new Cydia Installer 1.1.17 update. This package is compatible with iOS 8.3 platform and solves the issues with iOS 8.3 untether jailbreak on iPhone and other iDevices.

Should you download Cydia for iOS 8.3? Of course, you should! Especially if you have already used TaiG 2.0 jailbreak for iOS 8.1.3, 8.2 or 8.3 and are jailbroken now. When you try to launch Cydia store without downloading the version 1.1.17 you will see the error ‘cannot identify your device’ and this happens because the previous release didn’t support iOS 8.3 firmware.

The latest Cydia update 8.3 has been designed by Saurik to address this particular problem. You’ll be able to access the Cydia store and your account after you download and install Cydia update iOS 8.3 v1.1.17 or 1.1.18.

The new Cydia Installer only solves the problem on iOS 8.3 that used to reject ‘local’ repo URLs. Since the issue is gone you can once again use local repositories and there will be no issues with accessing your account. However the new update has nothing to do with Cydia Substrate that has be fixed in the TaiG jailbreak update. The group of hackers is currently working on this solution and will soon present the jailbreak kernel patch upgrade.

One TaiG update has already leaked however TaiG group of hackers warn users to avoid using it because it is buggy. The real kernel update should yet follow soon and the Chinese hackers will officially announce it.

As for Cydia Installer there are two new versions, 1.1.17 and 1.1.18. The first one has a bug. The second one fixes the problem so you might like to download only the version 1.1.18.

The iOS 8.1.3-8.3 jailbreak TaiG currently supports only Windows platform. Mac OS X version hasn’t been released yet but Mac users can jailbreak with the help of the Windows tool and Windows virtual machine.

Are you jailbroken yet?